# Generated from scrypt-util-0.1.4.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name scrypt-util

Name: rubygem-%{gem_name}
Version: 0.1.4.1
Release: 1%{?dist}
Summary: Simplified wrapper around the scrypt gem
License: MIT
URL: https://bitbucket.org/pepoluan/scrypt-util-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
This gem introduces two function that act as the simplified wrapper around the
'scrypt' gem, and also provides input/output compatibility with the scrypt for
Java implementation (available on https://github.com/wg/scrypt ).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Wed Apr 20 2022 mockbuilder - 0.1.4.1-1
- Initial package
